Bug 660072 - Providing native systemd file for upcoming F15 Feature Systemd
Providing native systemd file for upcoming F15 Feature Systemd
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sblim-sfcb (Show other bugs)
19
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-05 07:19 EST by Michał Piotrowski
Modified: 2015-02-18 06:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:15:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sblim-sfcb.service (149 bytes, text/plain)
2010-12-05 07:19 EST, Michał Piotrowski
no flags Details

  None (edit)
Description Michał Piotrowski 2010-12-05 07:19:15 EST
Created attachment 464832 [details]
sblim-sfcb.service

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability
Comment 1 Praveen K Paladugu 2011-01-10 10:25:56 EST
Done.

Updated in build: sblim-sfcb-1.3.10-3.fc15 in rawhide.

Praveen
Comment 2 Praveen K Paladugu 2011-02-28 12:16:14 EST
I have one question before I close this bug report.

What is the best way to check if a linux system is starting with upstart || System V init || systemd ?
Comment 3 Michał Piotrowski 2011-02-28 12:29:16 EST
Good question. Possible that no one thought about this kind of functionality.

Check
init --version ?

or

pgrep {upstart,etc} ?
Comment 4 Praveen K Paladugu 2011-02-28 13:14:14 EST
Thanks for the quick response.

On a Fedora 12 system, "init --version" returns:

init (upstart 0.3.11)

indicating that it is using upstart.



I tried the same on a rawhide system and the init binary doesn't have "--version" option :(.


Upstart and System V init seem to depend on the contents of the /etc/inittab file. But systemd doesn't use this file at all. Although not perfect, this could be a valid test.
Comment 5 Lennart Poettering 2011-03-02 08:36:16 EST
(In reply to comment #2)
> I have one question before I close this bug report.
> 
> What is the best way to check if a linux system is starting with upstart ||
> System V init || systemd ?

You can check whether systemd is used by doing "test -d /sys/fs/cgroup/system". 

Note that we don't really support the other init systems anymore starting with F15.
Comment 6 Fedora Admin XMLRPC Client 2011-05-30 10:27:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Praveen K Paladugu 2011-05-31 12:50:53 EDT
This bug is good to be closed. All changes required to handle the sblim-sfcb service with systmed are already taken care of.
Comment 8 Fedora End Of Life 2013-04-03 16:39:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 17:37:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 06:15:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.